XUND
API ReferenceMedical Services

Get details of a service

POST/v1/services/{serviceId}

This endpoint can be used to get details of a service.

Authorization

BearerToken
AuthorizationBearer <token>

Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.

In: header

Path Parameters

serviceId*string

The id of the requested Service.

Header Parameters

language*string

The expected language of the response.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Exactly one of the countryCode or location parameters is mandatory.

Response Body

application/json

curl -X POST "https://example.com/v1/services/00032e86-6083-41ed-b299-18de924f0676" \  -H "authorization: Bearer <token>" \  -H "language: en" \  -H "Content-Type: application/json" \  -d '{    "countryCode": "AT"  }'
{  "id": "00032e86-6083-41ed-b299-18de924f0676",  "name": "Dr. Joachim Bacher",  "type": "DOCTOR",  "gender": "MALE",  "phone": "0444272333",  "email": null,  "location": {    "country": "AT",    "zip": "2100",    "city": "Korneuburg",    "address": "Wiener Str. 1",    "province": "Niederösterreich",    "latitude": 48.3501996,    "longitude": 16.3065274  },  "specializations": [    {      "id": "ac10b3f9-67e6-4579-bae9-35621a25b467",      "name": "General Practitioner",      "type": "DOCTOR"    }  ],  "insurers": [],  "openingHours": {    "0": [      {        "start": "08:00",        "finish": "12:00"      },      {        "start": "16:00",        "finish": "18:00"      }    ],    "1": [      {        "start": "07:30",        "finish": "12:00"      },      {        "start": "16:00",        "finish": "18:00"      }    ],    "2": [      {        "start": "07:30",        "finish": "12:00"      }    ],    "3": [],    "4": [      {        "start": "09:00",        "finish": "12:00"      }    ],    "5": [],    "6": [],    "detailedData": {      "type": "ALREADY_CLOSED",      "isOpen": false,      "text": "Already closed"    }  },  "monogram": "JB"}

Last updated on